; INF file for Win95 Monster Sound Software Components
; Copyright 1997, Diamond Multimedia Systems, Inc.
;

[DestinationDirs]
FreeCtrl_CopyFiles=M-Sound
FreeCtrl_CopyFiles_Sys=11
MonsterSound_CopyFiles_Wav="M-Sound"
MonsterSound_DeleteFiles_Wav="M-Sound"
MonsterSound_CopyFiles_Common="M-Sound\Common"
MonsterSound_DeleteFiles_Demo="M-Sound\demos"
MonsterSound_DeleteFiles_Help="M-Sound\Help"
MonsterSound_DeleteFiles_Common="M-Sound\Common"

[SourceDisksNames]
1="FreeCtrl",,1

[SourceDisksFiles]
F3REMOVE.ICO=1,,775
A3DSPLSH.EXE=1,,49152
FREECTRL.EXE=1,,155648
FREECTRL.GER=1,,158208
FREECTRL.ITA=1,,158720
FREECTRL.FRA=1,,159744
FREECTRL.SPA=1,,159232
F3JOYFIX.EXE=1,,25600
F3WIN.BDI=1,,30746
JOYSTICK.TXT=1,,4766
F3REMOVE.EXE=1,,127633
WING32.DLL=1,,12800
MFC42.DLL=1,,940304
MSVCRT.DLL=1,,280576
F3DOS.BDI=1,,8772
F3INIT.EXE=1,,32707

[Optional Components]
FreeCtrl

[FreeCtrl]
OptionDesc="Free Control"
Tip=%Monster_Sound%
CopyFiles=FreeCtrl_CopyFiles, FreeCtrl_CopyFiles_Sys, MonsterSound_CopyFiles_Demo, MonsterSound_CopyFiles_Help, MonsterSound_CopyFiles_Common, MonsterSound_CopyFiles_Wav
Uninstall=FreeCtrl_CopyFiles, MonsterSound_DeleteFiles_Demo, MonsterSound_DeleteFiles_Help, MonsterSound_DeleteFiles_Common, MonsterSound_DeleteFiles_Wav
AddReg=FreeCtrl.AddReg
UninstallReg=FreeCtrl.UninstallReg
ProgramGroups=FreeCtrl_Group
UpdateAutoBat=DOS_Autoexec
Dependency=1
Restart

[DOS_Autoexec]
CmdAdd="REM ** Inserted by Monster Sound setup **"
CmdAdd=@P\M-Sound\f3Init,@P\M-Sound\f3Dos.bdi

[FreeCtrl_CopyFiles]
F3DOS.BDI
F3INIT.EXE
F3REMOVE.ICO
A3DSPLSH.EXE
F3INIT.EXE
FREECTRL.EXE,FREECTRL.@r
F3JOYFIX.EXE
F3DOS.BDI
F3WIN.BDI
JOYSTICK.TXT
F3REMOVE.EXE

[FreeCtrl_CopyFiles_Sys]
WING32.DLL
MFC42.DLL
MSVCRT.DLL

[MonsterSound_CopyFiles_Help]


[MonsterSound_CopyFiles_Common]


[MonsterSound_CopyFiles_Wav]


[MonsterSound_DeleteFiles_Demo]
SWIRL.PCX
A3DPLAY.HLP
BEEDEMO.EXE
BIRD1.PCX
BIRD2.PCX
BIRD3.PCX
BIRD4.PCX
BIRD5.PCX
BIRD6.PCX
CLOUDS.PCX
CORNER2.PCX
CURSOR1.PCX
CURSOR2.PCX
CURSOR3.PCX
CURSOR4.PCX
CURSOR5.PCX
CURSOR6.PCX
CURSOR7.PCX
CURSOR8.PCX
FOUNT1.PCX
FOUNT2.PCX
FOUNT3.PCX
FOUNT4.PCX
FOUNT5.PCX
FOUNT6.PCX
HELIDEMO.EXE
MOUNTAIN.PCX
PALETTE0.PCX
PALETTE1.PCX
PALETTE2.PCX
PALETTE3.PCX
RACETRK.EXE
SPLASH1.PCX
SPLASH2.PCX
SPLASH3.PCX
A3DPLAY.EXE
BEE.WAV
BIRD.WAV
FOUNTAIN.WAV
HELI.WAV
LASER.WAV
MUSIC1.WAV
OBJECT1.WAV
OBJECT2.WAV
OBJECT3.WAV

[MonsterSound_DeleteFiles_Help]
A3D.GIF
A3D2.GIF
ABOUT.HTM
CONFIG.GIF
DMMNOTE.GIF
DSP.GIF
FCC.HTM
HELP.INI
HHP.GIF
LOGO.JPG
PCI.GIF
PHYSICAL.HTM
PORTS.GIF
PREV.GIF
SBLAST.GIF
SOFTWARE.HTM
SOUND.GIF
START.HTM
STATUS.GIF
TRADE.HTM
TROUBLE.HTM
UTIL.HTM
UTIL1.GIF
UTIL1.HTM
UTIL2.GIF
UTIL2.HTM
UTIL3.GIF
UTIL3.HTM
UTIL4.GIF
UTIL4.HTM
UTIL5.GIF
UTIL5.HTM
UTILITY.HTM
UTIL5A.GIF
SHOT1.JPG

[MonsterSound_DeleteFiles_Common]
BG.GIF
CONTACT.HTM
DEFLAG.GIF
FAST.HTM
FRANCE2.GIF
FRFLAG.GIF
GBFLAG.GIF
GERMANY2.GIF
GLOSSY.HTM
HEADER0.GIF
HEADER1.GIF
HEADER10.GIF
HEADER2.GIF
HEADER3.GIF
HEADER4.GIF
HEADER5.GIF
HHP.GIF
HKFLAG.GIF
HOWTO.HTM
JAPAN2.GIF
JPFLAG.GIF
KFLAG.GIF
MSIE.GIF
SGFLAG.GIF
TITLE.JPG
UK2.GIF
USA2.GIF
USFLAG.GIF
WEBLOGO.GIF

[MonsterSound_DeleteFiles_Wav]
A3DSPLSH.WAV
L.WAV
O1L.WAV
O1R.WAV
O2L.WAV
O2R.WAV
R.WAV
F3INTRO.WAV

[FreeCtrl.AddReg]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run,FreeControl,,@p\M-Sound\FreeCtrl.exe
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run,f3JoyScan,,@p\M-Sound\f3JoyFix.exe /Q
HKLM,SOFTWARE\Aureal\A3D,SplashScreen,1,00000000
HKLM,SOFTWARE\Aureal\A3D,SplashAudio,1,00000000
HKLM,SOFTWARE\Aureal\A3D,SplashPath,,@p\M-Sound
HKLM,SOFTWARE\Diamond Multimedia\Freedom Audio\f3Setup,SoftwareVersion,,1.05.15
HKLM,SOFTWARE\Diamond Multimedia\Freedom Audio\f3Setup,SoftwareUpdatedToVersion,,1.05.15
HKLM,SOFTWARE\Diamond Multimedia\Freedom Audio\f3Setup,InstallDir,,@p\M-Sound

[FreeCtrl.UninstallReg]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run,FreeControl
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run,f3JoyScan
HKLM,SOFTWARE\Aureal
HKLM,SOFTWARE\Diamond Multimedia\Freedom Audio\f3Setup

[FreeCtrl_Group]
DIAMOND\Monster Sound,Monster Sound,@p\M-Sound\FreeCtrl.exe, ,@p\M-Sound,@p\M-Sound\FreeCtrl.exe,0
DIAMOND\Monster Sound,Monster Sound Help,@p\M-Sound\help\start.htm, ,@p\M-Sound,%10%\winhelp.exe,0

[Strings]
Mfg="Diamond Multimedia Systems"
Monster_Sound="Monster Sound Demos and Configuration Utilities"

[Strings.ger]
Monster_Sound="Demos und Konfigurationsdienstprogramme f�r Monster Sound"
[Strings.fra]
Monster_Sound="D�monstrations et utilitaires de configuration pour Monster Sound."
[Strings.ita]
Monster_Sound="Demo e utility di configurazione di Monster Sound"
[Strings.spa]
Monster_Sound="Controladores de Monster Sound, Utilidades de configuraci�n y demos"

